Package com.google.javascript.jscomp

# Class Instrumentation.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<Instrumentation.Builder>
com.google.protobuf.GeneratedMessageV3.Builder<Instrumentation.Builder>
com.google.javascript.jscomp.Instrumentation.Builder

All Implemented Interfaces:
  `InstrumentationOrBuilder`, `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `Cloneable`

Enclosing class:
  `Instrumentation`

public static final class Instrumentation.Builder extends com.google.protobuf.GeneratedMessageV3.Builder<Instrumentation.Builder> implements InstrumentationOrBuilder
Protobuf type `jscomp.Instrumentation`

## Method Summary

Modifier and Type
Method
Description
`Instrumentation.Builder`
`addAllDeclarationToRemove(Iterable<String> values)`
List of variable declarations in the application's source code that should be replaced by variables with the same name that are part of the instrumentation harness.
`Instrumentation.Builder`
`addAllInit(Iterable<String> values)`
Definition of functions used to report module contents and function calls.
`Instrumentation.Builder`
`addDeclarationToRemove(String value)`
List of variable declarations in the application's source code that should be replaced by variables with the same name that are part of the instrumentation harness.
`Instrumentation.Builder`
`addDeclarationToRemoveBytes(com.google.protobuf.ByteString value)`
List of variable declarations in the application's source code that should be replaced by variables with the same name that are part of the instrumentation harness.
`Instrumentation.Builder`
`addInit(String value)`
Definition of functions used to report module contents and function calls.
`Instrumentation.Builder`
`addInitBytes(com.google.protobuf.ByteString value)`
Definition of functions used to report module contents and function calls.
`Instrumentation.Builder`
`addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`Instrumentation`
`build()`
`Instrumentation`
`buildPartial()`
`Instrumentation.Builder`
`clear()`
`Instrumentation.Builder`
`clearAppNameSetter()`
name of function(<string>); used to inform the harness about the app name
`Instrumentation.Builder`
`clearDeclarationToRemove()`
List of variable declarations in the application's source code that should be replaced by variables with the same name that are part of the instrumentation harness.
`Instrumentation.Builder`
`clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`Instrumentation.Builder`
`clearInit()`
Definition of functions used to report module contents and function calls.
`Instrumentation.Builder`
`clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`Instrumentation.Builder`
`clearReportCall()`
name of function(ID = <numeric function id>); used to inform the harness about a function call
`Instrumentation.Builder`
`clearReportDefined()`
name of function(ID = <numeric function id>); used to inform the harness about the contents of a module
`Instrumentation.Builder`
`clearReportExit()`
name of function(ID = <numeric function id>, VAL = <return value>); used to inform the harness about a function exit.
`Instrumentation.Builder`
`clone()`
`String`
`getAppNameSetter()`
name of function(<string>); used to inform the harness about the app name
`com.google.protobuf.ByteString`
`getAppNameSetterBytes()`
name of function(<string>); used to inform the harness about the app name
`String`
`getDeclarationToRemove(int index)`
List of variable declarations in the application's source code that should be replaced by variables with the same name that are part of the instrumentation harness.
`com.google.protobuf.ByteString`
`getDeclarationToRemoveBytes(int index)`
List of variable declarations in the application's source code that should be replaced by variables with the same name that are part of the instrumentation harness.
`int`
`getDeclarationToRemoveCount()`
List of variable declarations in the application's source code that should be replaced by variables with the same name that are part of the instrumentation harness.
`com.google.protobuf.ProtocolStringList`
`getDeclarationToRemoveList()`
List of variable declarations in the application's source code that should be replaced by variables with the same name that are part of the instrumentation harness.
`Instrumentation`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor`
`getDescriptorForType()`
`String`
`getInit(int index)`
Definition of functions used to report module contents and function calls.
`com.google.protobuf.ByteString`
`getInitBytes(int index)`
Definition of functions used to report module contents and function calls.
`int`
`getInitCount()`
Definition of functions used to report module contents and function calls.
`com.google.protobuf.ProtocolStringList`
`getInitList()`
Definition of functions used to report module contents and function calls.
`String`
`getReportCall()`
name of function(ID = <numeric function id>); used to inform the harness about a function call
`com.google.protobuf.ByteString`
`getReportCallBytes()`
name of function(ID = <numeric function id>); used to inform the harness about a function call
`String`
`getReportDefined()`
name of function(ID = <numeric function id>); used to inform the harness about the contents of a module
`com.google.protobuf.ByteString`
`getReportDefinedBytes()`
name of function(ID = <numeric function id>); used to inform the harness about the contents of a module
`String`
`getReportExit()`
name of function(ID = <numeric function id>, VAL = <return value>); used to inform the harness about a function exit.
`com.google.protobuf.ByteString`
`getReportExitBytes()`
name of function(ID = <numeric function id>, VAL = <return value>); used to inform the harness about a function exit.
`boolean`
`hasAppNameSetter()`
name of function(<string>); used to inform the harness about the app name
`boolean`
`hasReportCall()`
name of function(ID = <numeric function id>); used to inform the harness about a function call
`boolean`
`hasReportDefined()`
name of function(ID = <numeric function id>); used to inform the harness about the contents of a module
`boolean`
`hasReportExit()`
name of function(ID = <numeric function id>, VAL = <return value>); used to inform the harness about a function exit.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`Instrumentation.Builder`
`mergeFrom(Instrumentation other)`
`Instrumentation.Builder`
`mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`Instrumentation.Builder`
`mergeFrom(com.google.protobuf.Message other)`
`final Instrumentation.Builder`
`mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`Instrumentation.Builder`
`setAppNameSetter(String value)`
name of function(<string>); used to inform the harness about the app name
`Instrumentation.Builder`
`setAppNameSetterBytes(com.google.protobuf.ByteString value)`
name of function(<string>); used to inform the harness about the app name
`Instrumentation.Builder`
`setDeclarationToRemove(int index, String value)`
List of variable declarations in the application's source code that should be replaced by variables with the same name that are part of the instrumentation harness.
`Instrumentation.Builder`
`setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`Instrumentation.Builder`
`setInit(int index, String value)`
Definition of functions used to report module contents and function calls.
`Instrumentation.Builder`
`setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`Instrumentation.Builder`
`setReportCall(String value)`
name of function(ID = <numeric function id>); used to inform the harness about a function call
`Instrumentation.Builder`
`setReportCallBytes(com.google.protobuf.ByteString value)`
name of function(ID = <numeric function id>); used to inform the harness about a function call
`Instrumentation.Builder`
`setReportDefined(String value)`
name of function(ID = <numeric function id>); used to inform the harness about the contents of a module
`Instrumentation.Builder`
`setReportDefinedBytes(com.google.protobuf.ByteString value)`
name of function(ID = <numeric function id>); used to inform the harness about the contents of a module
`Instrumentation.Builder`
`setReportExit(String value)`
name of function(ID = <numeric function id>, VAL = <return value>); used to inform the harness about a function exit.
`Instrumentation.Builder`
`setReportExitBytes(com.google.protobuf.ByteString value)`
name of function(ID = <numeric function id>, VAL = <return value>); used to inform the harness about a function exit.
`final Instrumentation.Builder`
`setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<Instrumentation.Builder>`

### clear

public Instrumentation.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<Instrumentation.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<Instrumentation.Builder>`

### getDefaultInstanceForType

public Instrumentation getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public Instrumentation build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public Instrumentation buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public Instrumentation.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<Instrumentation.Builder>`

### setField

public Instrumentation.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Instrumentation.Builder>`

### clearField

public Instrumentation.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Instrumentation.Builder>`

### clearOneof

public Instrumentation.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<Instrumentation.Builder>`

### setRepeatedField

public Instrumentation.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Instrumentation.Builder>`

### addRepeatedField

public Instrumentation.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Instrumentation.Builder>`

### mergeFrom

public Instrumentation.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Instrumentation.Builder>`

### mergeFrom

public Instrumentation.Builder mergeFrom(Instrumentation other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<Instrumentation.Builder>`

### mergeFrom

public Instrumentation.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Instrumentation.Builder>`
Throws:
  `IOException`

### hasReportDefined

public boolean hasReportDefined()

     name of function(ID = <numeric function id>);
     used to inform the harness about the contents of a module

`optional string report_defined = 1;`

Specified by:
  `hasReportDefined` in interface `InstrumentationOrBuilder`
Returns:
  Whether the reportDefined field is set.

### getReportDefined

public String getReportDefined()

     name of function(ID = <numeric function id>);
     used to inform the harness about the contents of a module

`optional string report_defined = 1;`

Specified by:
  `getReportDefined` in interface `InstrumentationOrBuilder`
Returns:
  The reportDefined.

### getReportDefinedBytes

public com.google.protobuf.ByteString getReportDefinedBytes()

     name of function(ID = <numeric function id>);
     used to inform the harness about the contents of a module

`optional string report_defined = 1;`

Specified by:
  `getReportDefinedBytes` in interface `InstrumentationOrBuilder`
Returns:
  The bytes for reportDefined.

### setReportDefined

public Instrumentation.Builder setReportDefined(String value)

     name of function(ID = <numeric function id>);
     used to inform the harness about the contents of a module

`optional string report_defined = 1;`

Parameters:
  `value` - The reportDefined to set.
Returns:
  This builder for chaining.

### clearReportDefined

public Instrumentation.Builder clearReportDefined()

     name of function(ID = <numeric function id>);
     used to inform the harness about the contents of a module

`optional string report_defined = 1;`

Returns:
  This builder for chaining.

### setReportDefinedBytes

public Instrumentation.Builder setReportDefinedBytes(com.google.protobuf.ByteString value)

     name of function(ID = <numeric function id>);
     used to inform the harness about the contents of a module

`optional string report_defined = 1;`

Parameters:
  `value` - The bytes for reportDefined to set.
Returns:
  This builder for chaining.

### hasReportCall

public boolean hasReportCall()

     name of function(ID = <numeric function id>);
     used to inform the harness about a function call

`optional string report_call = 2;`

Specified by:
  `hasReportCall` in interface `InstrumentationOrBuilder`
Returns:
  Whether the reportCall field is set.

### getReportCall

public String getReportCall()

     name of function(ID = <numeric function id>);
     used to inform the harness about a function call

`optional string report_call = 2;`

Specified by:
  `getReportCall` in interface `InstrumentationOrBuilder`
Returns:
  The reportCall.

### getReportCallBytes

public com.google.protobuf.ByteString getReportCallBytes()

     name of function(ID = <numeric function id>);
     used to inform the harness about a function call

`optional string report_call = 2;`

Specified by:
  `getReportCallBytes` in interface `InstrumentationOrBuilder`
Returns:
  The bytes for reportCall.

### setReportCall

public Instrumentation.Builder setReportCall(String value)

     name of function(ID = <numeric function id>);
     used to inform the harness about a function call

`optional string report_call = 2;`

Parameters:
  `value` - The reportCall to set.
Returns:
  This builder for chaining.

### clearReportCall

public Instrumentation.Builder clearReportCall()

     name of function(ID = <numeric function id>);
     used to inform the harness about a function call

`optional string report_call = 2;`

Returns:
  This builder for chaining.

### setReportCallBytes

public Instrumentation.Builder setReportCallBytes(com.google.protobuf.ByteString value)

     name of function(ID = <numeric function id>);
     used to inform the harness about a function call

`optional string report_call = 2;`

Parameters:
  `value` - The bytes for reportCall to set.
Returns:
  This builder for chaining.

### hasReportExit

public boolean hasReportExit()

     name of function(ID = <numeric function id>, VAL = <return value>);
     used to inform the harness about a function exit.  Must return
     its second argument.
     @returns VAL

`optional string report_exit = 6;`

Specified by:
  `hasReportExit` in interface `InstrumentationOrBuilder`
Returns:
  Whether the reportExit field is set.

### getReportExit

public String getReportExit()

     name of function(ID = <numeric function id>, VAL = <return value>);
     used to inform the harness about a function exit.  Must return
     its second argument.
     @returns VAL

`optional string report_exit = 6;`

Specified by:
  `getReportExit` in interface `InstrumentationOrBuilder`
Returns:
  The reportExit.

### getReportExitBytes

public com.google.protobuf.ByteString getReportExitBytes()

     name of function(ID = <numeric function id>, VAL = <return value>);
     used to inform the harness about a function exit.  Must return
     its second argument.
     @returns VAL

`optional string report_exit = 6;`

Specified by:
  `getReportExitBytes` in interface `InstrumentationOrBuilder`
Returns:
  The bytes for reportExit.

### setReportExit

public Instrumentation.Builder setReportExit(String value)

     name of function(ID = <numeric function id>, VAL = <return value>);
     used to inform the harness about a function exit.  Must return
     its second argument.
     @returns VAL

`optional string report_exit = 6;`

Parameters:
  `value` - The reportExit to set.
Returns:
  This builder for chaining.

### clearReportExit

public Instrumentation.Builder clearReportExit()

     name of function(ID = <numeric function id>, VAL = <return value>);
     used to inform the harness about a function exit.  Must return
     its second argument.
     @returns VAL

`optional string report_exit = 6;`

Returns:
  This builder for chaining.

### setReportExitBytes

public Instrumentation.Builder setReportExitBytes(com.google.protobuf.ByteString value)

     name of function(ID = <numeric function id>, VAL = <return value>);
     used to inform the harness about a function exit.  Must return
     its second argument.
     @returns VAL

`optional string report_exit = 6;`

Parameters:
  `value` - The bytes for reportExit to set.
Returns:
  This builder for chaining.

### getDeclarationToRemoveList

public com.google.protobuf.ProtocolStringList getDeclarationToRemoveList()

     List of variable declarations in the application's source code
     that should be replaced by variables with the same name that are
     part of the instrumentation harness.  The presence of these
     declarations in the original code allows debug UIs that access
     these variables to compile when the instrumentation pass is
     disabled.

`repeated string declaration_to_remove = 3;`

Specified by:
  `getDeclarationToRemoveList` in interface `InstrumentationOrBuilder`
Returns:
  A list containing the declarationToRemove.

### getDeclarationToRemoveCount

public int getDeclarationToRemoveCount()

     List of variable declarations in the application's source code
     that should be replaced by variables with the same name that are
     part of the instrumentation harness.  The presence of these
     declarations in the original code allows debug UIs that access
     these variables to compile when the instrumentation pass is
     disabled.

`repeated string declaration_to_remove = 3;`

Specified by:
  `getDeclarationToRemoveCount` in interface `InstrumentationOrBuilder`
Returns:
  The count of declarationToRemove.

### getDeclarationToRemove

public String getDeclarationToRemove(int index)

     List of variable declarations in the application's source code
     that should be replaced by variables with the same name that are
     part of the instrumentation harness.  The presence of these
     declarations in the original code allows debug UIs that access
     these variables to compile when the instrumentation pass is
     disabled.

`repeated string declaration_to_remove = 3;`

Specified by:
  `getDeclarationToRemove` in interface `InstrumentationOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The declarationToRemove at the given index.

### getDeclarationToRemoveBytes

public com.google.protobuf.ByteString getDeclarationToRemoveBytes(int index)

     List of variable declarations in the application's source code
     that should be replaced by variables with the same name that are
     part of the instrumentation harness.  The presence of these
     declarations in the original code allows debug UIs that access
     these variables to compile when the instrumentation pass is
     disabled.

`repeated string declaration_to_remove = 3;`

Specified by:
  `getDeclarationToRemoveBytes` in interface `InstrumentationOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the declarationToRemove at the given index.

### setDeclarationToRemove

public Instrumentation.Builder setDeclarationToRemove(int index, String value)

     List of variable declarations in the application's source code
     that should be replaced by variables with the same name that are
     part of the instrumentation harness.  The presence of these
     declarations in the original code allows debug UIs that access
     these variables to compile when the instrumentation pass is
     disabled.

`repeated string declaration_to_remove = 3;`

Parameters:
  `index` - The index to set the value at.
  `value` - The declarationToRemove to set.
Returns:
  This builder for chaining.

### addDeclarationToRemove

public Instrumentation.Builder addDeclarationToRemove(String value)

     List of variable declarations in the application's source code
     that should be replaced by variables with the same name that are
     part of the instrumentation harness.  The presence of these
     declarations in the original code allows debug UIs that access
     these variables to compile when the instrumentation pass is
     disabled.

`repeated string declaration_to_remove = 3;`

Parameters:
  `value` - The declarationToRemove to add.
Returns:
  This builder for chaining.

### addAllDeclarationToRemove

public Instrumentation.Builder addAllDeclarationToRemove(Iterable<String> values)

     List of variable declarations in the application's source code
     that should be replaced by variables with the same name that are
     part of the instrumentation harness.  The presence of these
     declarations in the original code allows debug UIs that access
     these variables to compile when the instrumentation pass is
     disabled.

`repeated string declaration_to_remove = 3;`

Parameters:
  `values` - The declarationToRemove to add.
Returns:
  This builder for chaining.

### clearDeclarationToRemove

public Instrumentation.Builder clearDeclarationToRemove()

     List of variable declarations in the application's source code
     that should be replaced by variables with the same name that are
     part of the instrumentation harness.  The presence of these
     declarations in the original code allows debug UIs that access
     these variables to compile when the instrumentation pass is
     disabled.

`repeated string declaration_to_remove = 3;`

Returns:
  This builder for chaining.

### addDeclarationToRemoveBytes

public Instrumentation.Builder addDeclarationToRemoveBytes(com.google.protobuf.ByteString value)

     List of variable declarations in the application's source code
     that should be replaced by variables with the same name that are
     part of the instrumentation harness.  The presence of these
     declarations in the original code allows debug UIs that access
     these variables to compile when the instrumentation pass is
     disabled.

`repeated string declaration_to_remove = 3;`

Parameters:
  `value` - The bytes of the declarationToRemove to add.
Returns:
  This builder for chaining.

### getInitList

public com.google.protobuf.ProtocolStringList getInitList()

     Definition of functions used to report module contents and
     function calls.  Will be added to the start of the app's main
     module.

`repeated string init = 4;`

Specified by:
  `getInitList` in interface `InstrumentationOrBuilder`
Returns:
  A list containing the init.

### getInitCount

public int getInitCount()

     Definition of functions used to report module contents and
     function calls.  Will be added to the start of the app's main
     module.

`repeated string init = 4;`

Specified by:
  `getInitCount` in interface `InstrumentationOrBuilder`
Returns:
  The count of init.

### getInit

public String getInit(int index)

     Definition of functions used to report module contents and
     function calls.  Will be added to the start of the app's main
     module.

`repeated string init = 4;`

Specified by:
  `getInit` in interface `InstrumentationOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The init at the given index.

### getInitBytes

public com.google.protobuf.ByteString getInitBytes(int index)

     Definition of functions used to report module contents and
     function calls.  Will be added to the start of the app's main
     module.

`repeated string init = 4;`

Specified by:
  `getInitBytes` in interface `InstrumentationOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the init at the given index.

### setInit

public Instrumentation.Builder setInit(int index, String value)

     Definition of functions used to report module contents and
     function calls.  Will be added to the start of the app's main
     module.

`repeated string init = 4;`

Parameters:
  `index` - The index to set the value at.
  `value` - The init to set.
Returns:
  This builder for chaining.

### addInit

public Instrumentation.Builder addInit(String value)

     Definition of functions used to report module contents and
     function calls.  Will be added to the start of the app's main
     module.

`repeated string init = 4;`

Parameters:
  `value` - The init to add.
Returns:
  This builder for chaining.

### addAllInit

public Instrumentation.Builder addAllInit(Iterable<String> values)

     Definition of functions used to report module contents and
     function calls.  Will be added to the start of the app's main
     module.

`repeated string init = 4;`

Parameters:
  `values` - The init to add.
Returns:
  This builder for chaining.

### clearInit

public Instrumentation.Builder clearInit()

     Definition of functions used to report module contents and
     function calls.  Will be added to the start of the app's main
     module.

`repeated string init = 4;`

Returns:
  This builder for chaining.

### addInitBytes

public Instrumentation.Builder addInitBytes(com.google.protobuf.ByteString value)

     Definition of functions used to report module contents and
     function calls.  Will be added to the start of the app's main
     module.

`repeated string init = 4;`

Parameters:
  `value` - The bytes of the init to add.
Returns:
  This builder for chaining.

### hasAppNameSetter

public boolean hasAppNameSetter()

     name of function(<string>);
     used to inform the harness about the app name

`optional string app_name_setter = 5;`

Specified by:
  `hasAppNameSetter` in interface `InstrumentationOrBuilder`
Returns:
  Whether the appNameSetter field is set.

### getAppNameSetter

public String getAppNameSetter()

     name of function(<string>);
     used to inform the harness about the app name

`optional string app_name_setter = 5;`

Specified by:
  `getAppNameSetter` in interface `InstrumentationOrBuilder`
Returns:
  The appNameSetter.

### getAppNameSetterBytes

public com.google.protobuf.ByteString getAppNameSetterBytes()

     name of function(<string>);
     used to inform the harness about the app name

`optional string app_name_setter = 5;`

Specified by:
  `getAppNameSetterBytes` in interface `InstrumentationOrBuilder`
Returns:
  The bytes for appNameSetter.

### setAppNameSetter

public Instrumentation.Builder setAppNameSetter(String value)

     name of function(<string>);
     used to inform the harness about the app name

`optional string app_name_setter = 5;`

Parameters:
  `value` - The appNameSetter to set.
Returns:
  This builder for chaining.

### clearAppNameSetter

public Instrumentation.Builder clearAppNameSetter()

     name of function(<string>);
     used to inform the harness about the app name

`optional string app_name_setter = 5;`

Returns:
  This builder for chaining.

### setAppNameSetterBytes

public Instrumentation.Builder setAppNameSetterBytes(com.google.protobuf.ByteString value)

     name of function(<string>);
     used to inform the harness about the app name

`optional string app_name_setter = 5;`

Parameters:
  `value` - The bytes for appNameSetter to set.
Returns:
  This builder for chaining.

### setUnknownFields

public final Instrumentation.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Instrumentation.Builder>`

### mergeUnknownFields

public final Instrumentation.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Instrumentation.Builder>`